[arch-commits] Commit in mod_wsgi/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sun Nov 22 11:53:04 EST 2009


    Date: Sunday, November 22, 2009 @ 11:53:03
  Author: giovanni
Revision: 59346

Merged revisions 59338 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/mod_wsgi/trunk

........
  r59338 | andrea | 2009-11-22 08:06:00 -0800 (dom, 22 nov 2009) | 2 lines
  
  upgpkg: mod_wsgi 3.0-1
      upstream release
........

Modified:
  mod_wsgi/repos/extra-x86_64/	(properties)
  mod_wsgi/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   23 +++++++++++++----------
 1 file changed, 13 insertions(+), 10 deletions(-)


Property changes on: mod_wsgi/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /mod_wsgi/trunk:1-56856
   + /mod_wsgi/trunk:1-59345

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-22 16:39:43 UTC (rev 59345)
+++ extra-x86_64/PKGBUILD	2009-11-22 16:53:03 UTC (rev 59346)
@@ -1,9 +1,9 @@
-# $Id$
+# $Id:$
 # Maintainer: Andrea Scarpino <andrea at archlinux.org>
 # Contributor: Ryan Coyner <rcoyner at gmail.com>
 
 pkgname=mod_wsgi
-pkgver=2.6
+pkgver=3.0
 pkgrel=1
 pkgdesc="Python WSGI adapter module for Apache"
 arch=('i686' 'x86_64')
@@ -12,13 +12,16 @@
 depends=('apache' 'python')
 install=$pkgname.install
 source=(http://modwsgi.googlecode.com/files/$pkgname-$pkgver.tar.gz)
-md5sums=('c313cd7a662024866ce3376cb5a76cf6')
+md5sums=('7e9c8cd79ebe9bc273dc520e9e87261b')
 
-build() { 
-    cd ${srcdir}/${pkgname}-${pkgver}
-    ./configure --prefix=/usr \
-      --with-apxs=/usr/sbin/apxs \
-      --with-python=/usr/bin/python || return 1
-    make || return 1
-    make DESTDIR=${pkgdir} install || return 1
+build() {
+  # http://code.google.com/p/modwsgi/issues/detail?id=166
+  unset CFLAGS
+
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr \
+    --with-apxs=/usr/sbin/apxs \
+    --with-python=/usr/bin/python || return 1
+  make || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }



More information about the arch-commits mailing list